package com.simuwang.base.mapper.daq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.ChannelEmailInfoDO;
import com.simuwang.base.pojo.dto.GetByIdQuery;
import com.simuwang.base.pojo.dto.query.ChannelIdPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ChannelEmailMapper extends BaseMapper<ChannelEmailInfoDO> {
    void deleteByChannelId(@Param("channelId") Integer id,@Param("userId") Integer userId);

    ChannelEmailInfoDO selectByEmail(@Param("email") String email);

    void deleteByIdAndUserId(@Param("id") Integer id, @Param("userId")Integer userId);

    List<ChannelEmailInfoDO> searchChannelEmailList(ChannelIdPageQuery getByIdQuery);

    long countChannelEmail(ChannelIdPageQuery getByIdQuery);

    int countChannelEmailByEmail(@Param("email")String email);

    Integer selectChannelIdByEmail(@Param("email")String email);
}
