package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.ChannelPageInfoVO;
import lombok.Data;

import java.util.Date;

@Data
public class ChannelPageInfoDO {
    /**
     * ID
     */
    private Integer id;
    /**
     * 渠道名称
     */
    private String channelName;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 渠道备注
     */
    private String channelRemark;

    private Integer isvalid;

    private Date createTime;

    private Date updateTime;

    private Integer creatorId;

    private Integer updaterId;

    public ChannelPageInfoVO toVo() {
        ChannelPageInfoVO vo = new ChannelPageInfoVO();
        vo.setId(id);
        vo.setChannelName(channelName);
        vo.setEmail(email);
        vo.setChannelRemark(channelRemark);
        vo.setIsvalid(isvalid);
        vo.setCreateTime(DateUtils.format(createTime,DateUtils.YYYY_MM_DD_HH_MM_SS));
        vo.setUpdateTime(DateUtils.format(updateTime,DateUtils.YYYY_MM_DD_HH_MM_SS));
        vo.setCreatorId(creatorId);
        vo.setUpdaterId(updaterId);
        return vo;
    }
}
