package com.simuwang.base.pojo.vo;

import lombok.Data;

/**
 * FileName: companyReportFrequency
 * Author:   chenjianhua
 * Date:     2024/9/6 14:21
 * Description: ${DESCRIPTION}
 */
@Data
public class CompanyReportFrequencyVO {
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 净值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频,-1无固定
     */
    private Integer navFrequency;
    /**
     * 规模报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频,-1无固定
     */
    private Integer assetFrequency;
    /**
     * 估值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频,-1无固定
     */
    private Integer valuationFrequency;
    /**
     * 频率备注
     */
    private String frequencyRemark;
}
