package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.FileManagePageQuery;
import com.simuwang.base.pojo.vo.FileManageVO;
import com.simuwang.base.pojo.vo.SourceTypeVO;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * FileName: FileMangeService
 * Author:   chenjianhua
 * Date:     2024/12/19 14:03
 * Description: ${DESCRIPTION}
 */
public interface FileMangeService {
    MybatisPage<FileManageVO> searchFileManage(FileManagePageQuery fileManagePageQuery);

    ResultVo uploadFile(MultipartFile file, String fundId, String fundName, String registerNumber, Integer fileType, String fileDate);

    FileManageVO getFileByFileId(Long fileId);

    void changeFileSourceType(SourceTypeVO sourceTypeVO);

    void changeFileFundMappingInfo(List<Integer> fileIdList, String targetFundId);

    void updateFileManage(FileManageVO fileManageVO);
}
